Bug Hunting Session
Bug 89210 - wrong name tooltip Effects on toolbar Line and Filling
Summary: wrong name tooltip Effects on toolbar Line and Filling
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.6.1 rc
Hardware: Other Windows (All)
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0 target:6.0.0.1
Keywords:
Depends on:
Blocks: Split-Group-Buttons Toolbars-Tooltips
  Show dependency treegraph
 
Reported: 2015-02-07 18:07 UTC by Roman Kuznetsov
Modified: 2017-11-30 14:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Icon Effect on toolbar Libe and Filling (2.13 KB, image/png)
2015-02-07 18:07 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2015-02-07 18:07:38 UTC
Created attachment 113212 [details]
Icon Effect on toolbar Libe and Filling

LO Draw. on toolbar "Line and Filling" there is an icon "Effects" with which you can open the toolbar "Mode"!

in menu View-Toolbar-Mode opens the same panel.

IMHO, should be renamed "Effects" -> "Mode"
Comment 1 Julien Nabet 2015-02-07 20:21:24 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

However if both should be named the same way, should it be "Mode" or "Effects"?

code pointer:
opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/DrawImpressCommands.xcu#947

ux-team/Jay: any thoughts?
Comment 2 Adolfo Jayme 2015-02-07 21:09:00 UTC
“Mode” is a totally non-descriptive name which does not reflect with accuracy the contents of that drop-down. “Effects” may not be the best name, but it’s much better than “Mode”.
Comment 3 Roman Kuznetsov 2015-02-07 21:30:00 UTC
into Russian name panel translated as Operation. That is, will the operation of rotation or reflection operation. Operation in this case - it's a process.
Effect - it is still not a process.
Mode - this is also wrong name, but if you need to do minimal revisions, it is best to replace the effect on the mode.
Comment 4 Adolfo Jayme 2015-02-07 21:39:34 UTC
(In reply to kompilainenn from comment #3)
> into Russian name panel translated as Operation. That is, will the operation
> of rotation or reflection operation. Operation in this case - it's a process.

Thanks, you gave me an idea. Why not name both the toolbar and the tooltip “Transformations”? I think it’s accurate and descriptive.
Comment 5 V Stuart Foote 2015-02-07 22:01:50 UTC
Command is .uno:AdvancedMode but unfortunately was labeled "Effects" when implemented. 

Its default mode displayed and active is the rotate button for action .uno:ToggleObjectRotateMode

The split menu drop down opens the Mode (choosemodebar.xml) toolbar.

Likely the "Effects" label should have been originally set as "Advanced Mode"--representing advanced graphical modes for manipulating the object selected.

IMHO both the dialog title as well as the button label should be changed to "Advanced Modes" 

Not sure how significant an impact on the l10n/i18n efforts.

=-ref-=
http://opengrok.libreoffice.org/xref/core/sd/uiconfig/sdraw/toolbar/choosemodebar.xml
Comment 6 V Stuart Foote 2015-02-07 22:05:13 UTC
(In reply to Adolfo Jayme from comment #4)
> Thanks, you gave me an idea. Why not name both the toolbar and the tooltip
> “Transformations”? I think it’s accurate and descriptive.

Yes, "Transformations" might be the better label and title--but shouldn't the .uno command be renamed as well? 

I'd only suggested "Advanced Modes" to match the responsible .uno command.
Comment 7 Roman Kuznetsov 2015-02-07 23:27:16 UTC
(In reply to V Stuart Foote from comment #6)
> (In reply to Adolfo Jayme from comment #4)
> > Thanks, you gave me an idea. Why not name both the toolbar and the tooltip
> > “Transformations”? I think it’s accurate and descriptive.
> 
> Yes, "Transformations" might be the better label and title--but shouldn't
> the .uno command be renamed as well? 
> 
> I'd only suggested "Advanced Modes" to match the responsible .uno command.

Rotate is not transformation. This change in position of an object in space.

But all the other instruments - this transformation, I agree...
Comment 8 Yousuf Philips (jay) (retired) 2015-02-08 02:29:21 UTC
Rotate, Flip, Transparency and Gradient dont seem to fit well under 'Transformation'. Maybe something with the word 'Alter' might be more suitable like possibly 'Alterations'.

(In reply to V Stuart Foote from comment #6)
> Yes, "Transformations" might be the better label and title--but shouldn't
> the .uno command be renamed as well? 

No there isnt any need to rename uno commands that were wrongly named as users never see it anyway. :D

Whatever the name is changed to, it would be useful to have the default button emphasize that name.
Comment 9 Adolfo Jayme 2015-02-09 04:45:42 UTC
(In reply to Jay Philips from comment #8)
> Rotate, Flip, Transparency and Gradient dont seem to fit well under
> 'Transformation'. Maybe something with the word 'Alter' might be more
> suitable like possibly 'Alterations'.

You’re establishing an artificial limit on what that word could mean—I meant it as an umbrella term, and I don’t see why rotating or flipping an object isn’t transfiguring it.

And no, sorry, but “Alterations” just sounds horrible.
Comment 10 Robinson Tryon (qubit) 2016-08-25 04:44:59 UTC Comment hidden (obsolete)
Comment 11 Roman Kuznetsov 2016-11-24 19:41:15 UTC
Yousuf, may be we will to return by this problem?
Comment 12 Roman Kuznetsov 2017-11-26 20:39:18 UTC
still repro in 6.0 beta1
Comment 13 Heiko Tietze 2017-11-27 14:02:42 UTC
Patch submitted with https://gerrit.libreoffice.org/#/c/45337/
Comment 14 Commit Notification 2017-11-29 20:52:47 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e95a0d9c0727e1bb69e696a9398ff26c8a1c948

tdf#89210 Rename 'mode'

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2017-11-29 21:07:36 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f24d0dcdaf8e7dff7e466bd88ceffcb46d045a25&h=libreoffice-6-0

tdf#89210 Rename 'mode'

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Heiko Tietze 2017-11-30 14:09:28 UTC
/done